//===================================================================
// File Name : 2442lib.h
// Function  : S3C2442 
// Date      : February 26, 2002
// Version   : 0.0
// History
//  0.0 :Feb.20.2002:SOP     : Programming start
//  0.01:Mar.29.2002:purnnamu: For POWEROFF_wake_up, the START... label is added
//===================================================================

#ifndef __2442lib_h__
#define __2442lib_h__
#define NO_USE_STANDARD_C_LIB
#include "def.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _div_{
	unsigned int quot; 
	unsigned int rem;
} DIV_T, *pDIV_T;
void DIV(U32 p1, U32 p2, pDIV_T result);
void Memset(char *dst,  char src, unsigned int len);
void Memcpy(char *dst,  char *src, unsigned int len);


#define min(x1,x2) (((x1)<(x2))? (x1):(x2))
#define max(x1,x2) (((x1)>(x2))? (x1):(x2))

#define ONESEC0 (62500)	             //16us resolution, max 1.04 sec
#define ONESEC1 (31250)	             //32us resolution, max 2.09 sec
#define ONESEC2 (15625)	             //64us resolution, max 4.19 sec
#define ONESEC3 (7812)	             //128us resolution, max 8.38 sec
#define ONESEC4 (PCLK/128/(0xff+1))  //@60Mhz, 128*4us resolution, max 32.53 sec

#define NULL 0


// 2442lib.c
void Delay(int time);              //Watchdog Timer is used.
void Port_Init(void);
void Uart_Init(void);
char Uart_Getch(void);
void Uart_SendByte(int data);
//void Uart_Printf(char *fmt,...);
void Uart_SendString(char *pt);
void Uart_SendString_N(char *pt, int len);


#ifdef __cplusplus
}
#endif

#endif  //__2442lib_h__
